# Создание платежа

Эндпоинт

```
https://paysync.bot/api/3dsecure/{user_id}/{amount}/{description}/{webhook}
```

HTTP-метод

```
GET
```

#### **Параметры (все параметры обязательны)**

| **Параметр**  | **Тип**  | **Описание**                                                                                    |
| ------------- | -------- | ----------------------------------------------------------------------------------------------- |
| `user_id`     | `string` | Уникальный идентификатор пользователя(мерчанта) в системе PaySyncBot.                           |
| `amount`      | `float`  | Сумма платежа в евро (`EUR`). Поддерживаются значения с точностью до двух знаков после запятой. |
| `description` | `string` | Краткое описание платежа (например, ID заказа, назначение или другая информация).               |
| `webhook`     | `string` | URL-адрес, на который будут отправляться обновления о статусе платежа.                          |

#### **Ответ**

В случае успеха API возвращает JSON-объект следующего формата:

```json
{
    "amount": 0.5,
    "currency": "eur",
    "description": "312",
    "payment_id": "************",
    "payment_url": "https://paysync.bot/pay/***************"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paysync.bot/merchanty-ekvaring/sozdanie-platezha.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
